Open CASCADE Technology: VrmlConverter_Projector Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
VrmlConverter_Projector Class Reference

defines projector and calculates properties of cameras and lights from Vrml ( OrthograpicCamera, PerspectiveCamera, DirectionalLight, PointLight, SpotLight and MatrixTransform ) to display all scene shapes with arbitrary locations for requested the Projection Vector, High Point Direction and the Focus and adds them ( method Add ) to anOSream. More...

`#include <VrmlConverter_Projector.hxx>`

Inheritance diagram for VrmlConverter_Projector:
[legend]

## Public Member Functions
| VrmlConverter_Projector (const TopTools_Array1OfShape &Shapes, const Quantity_Length Focus, const Quantity_Length DX, const Quantity_Length DY, const Quantity_Length DZ, const Quantity_Length XUp, const Quantity_Length YUp, const Quantity_Length ZUp, const VrmlConverter_TypeOfCamera Camera=VrmlConverter_NoCamera, const VrmlConverter_TypeOfLight Light=VrmlConverter_NoLight)
void | SetCamera (const VrmlConverter_TypeOfCamera aCamera)
VrmlConverter_TypeOfCamera | Camera () const
void | SetLight (const VrmlConverter_TypeOfLight aLight)
VrmlConverter_TypeOfLight | Light () const
void | Add (Standard_OStream &anOStream) const
| Adds into anOStream if they are defined in Create. PerspectiveCamera, OrthographicCamera, DirectionLight, PointLight, SpotLight with MatrixTransform from VrmlConverter;. More...
HLRAlgo_Projector | Projector () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

defines projector and calculates properties of cameras and lights from Vrml ( OrthograpicCamera, PerspectiveCamera, DirectionalLight, PointLight, SpotLight and MatrixTransform ) to display all scene shapes with arbitrary locations for requested the Projection Vector, High Point Direction and the Focus and adds them ( method Add ) to anOSream.

## Constructor & Destructor Documentation

VrmlConverter_Projector::VrmlConverter_Projector | ( | const TopTools_Array1OfShape & | Shapes,
|  | const Quantity_Length | Focus,
|  | const Quantity_Length | DX,
|  | const Quantity_Length | DY,
|  | const Quantity_Length | DZ,
|  | const Quantity_Length | XUp,
|  | const Quantity_Length | YUp,
|  | const Quantity_Length | ZUp,
|  | const VrmlConverter_TypeOfCamera | Camera = `VrmlConverter_NoCamera`,
|  | const VrmlConverter_TypeOfLight | Light = `VrmlConverter_NoLight`
| ) |  |

## Member Function Documentation

void VrmlConverter_Projector::Add | ( | Standard_OStream & | anOStream | ) | const

Adds into anOStream if they are defined in Create. PerspectiveCamera, OrthographicCamera, DirectionLight, PointLight, SpotLight with MatrixTransform from VrmlConverter;.

VrmlConverter_TypeOfCamera VrmlConverter_Projector::Camera | ( |  | ) | const

VrmlConverter_TypeOfLight VrmlConverter_Projector::Light | ( |  | ) | const

HLRAlgo_Projector VrmlConverter_Projector::Projector | ( |  | ) | const

void VrmlConverter_Projector::SetCamera | ( | const VrmlConverter_TypeOfCamera | aCamera | ) |

void VrmlConverter_Projector::SetLight | ( | const VrmlConverter_TypeOfLight | aLight | ) |

The documentation for this class was generated from the following file:

- VrmlConverter_Projector.hxx